Subject: Re: [PATCH -next] ipmi: fix module param sparse warnings

From: Rusty Russell <[email-masked]>
Date: Mon, 28 Jun 2010 19:05:58 +0930

On Sat, 26 Jun 2010 01:51:13 am Randy Dunlap wrote:
> On 06/25/10 05:50, Rusty Russell wrote:
> > On Fri, 25 Jun 2010 07:51:22 am Randy Dunlap wrote:
> >> From: Randy Dunlap <[email-masked]>
> >>
> >> The <arg> parameter in module_param_cb() should be a pointer,
> > 
> > Well, I don't think there's anything wrong with it being a function.
> 
> Ah, yes, I see.  That makes it a sparse error, right?

Well, it's a weird corner case, but yes.

> > Meanwhile, we can do this instead.  Does it solve it as well?
> 
> Yes, that also fixes it.
> Thanks.

Thanks, I've added your tested-by.

Cheers,
Rusty.